Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.io.filters
Class XMLDataIslandsInHTMLReplacer

    java.lang.Object
      com.ejie.r01f.io.filters.XMLDataIslandsInHTMLReplacer

public class XMLDataIslandsInHTMLReplacer
extends java.lang.Object

Clase que parsea un documento HTML y obtiene DATA ISLANDS embebidos en el propio documento, reemplazando aquellas cuyos id se pasan por un nuevo XML Ejemplo de HTML con dataIslands:

# Una página con XML dataIslands

Aqui esto vuelve a ser html

## Esto es html

##

Invocando a esta clase es posible sustituir de una sola pasada varios XMLs de varios dataIslands Ejemplo: Map newDataIslandsValues = new HashMap(); newDataIslandsValues.put("di1","[nuevo XML del dataIsland di1"); newDataIslandsValues.put("di2","[nuevo XML del dataIsland di2"); XMLDataIslandsInHTMLReplacer diReplacer = new XMLDataIslandsInHTMLReplacer(); int replacedCount = diReplacer.findXMLDataIslandsInDocument( new StringReader(doc) ); System.out.println(diReplacer.getReplacedDocument());

Constructor Summary
`XMLDataIslandsInHTMLReplacer()` Constructor vacío
`XMLDataIslandsInHTMLReplacer(int maxDirectiveChars)` Constructor estableciendo el número máximo de caracteres de la directiva, por defecto son 255 caracteres.
`XMLDataIslandsInHTMLReplacer(java.util.Map idsAndNewXML)` Constructor en base a un mapa que contiene los ids de los dataIslands cuyo XML hay que sustituir así como el nuevo XML correspondiente a cada dataIsland.
`XMLDataIslandsInHTMLReplacer(java.util.Map idsAndNewXML, int maxDirectiveChars)` Constructor en base a un mapa que contiene los ids de los dataIslands cuyo XML hay que sustituir así como el nuevo XML correspondiente a cada dataIsland.

Method Summary
`java.lang.String` | `getReplacedDocument()` Obtiene documento con los dataIsland remplazados.
`static void` | `main(java.lang.String[] args)` Main Method
`int` | `replaceXMLDataIslandsInDocument(java.io.File f)` Remplaza los XML data islands en un documento por los nuevos valores establecidos en el constructor o en el metodo setNewDataIslandsXMLs.
`int` | `replaceXMLDataIslandsInDocument(java.util.Map newXMLDataIslandsXMLs, java.io.File f)` Remplaza los XML data islands en un documento por los nuevos valores establecidos que se pasan como parametro.
`int` | `replaceXMLDataIslandsInDocument(java.util.Map newXMLDataIslandsXMLs, java.io.Reader r)` Remplaza los XML data islands en un documento por los nuevos valores establecidos que se pasan como parametro.
`int` | `replaceXMLDataIslandsInDocument(java.util.Map newXMLDataIslandsXMLs, java.lang.String filePath)` Remplaza los XML data islands en un documento por los nuevos valores establecidos que se pasan como parametro.
`int` | `replaceXMLDataIslandsInDocument(java.io.Reader r)` Remplaza los XML data islands en un documento por los nuevos valores establecidos en el constructor o en el metodo setNewDataIslandsXMLs.
`int` | `replaceXMLDataIslandsInDocument(java.lang.String filePath)` Remplaza los XML data islands en un documento por los nuevos valores establecidos en el constructor o en el metodo setNewDataIslandsXMLs.
`void` | `setNewDataIslandsXMLs(java.util.Map newDataIslandsXMLs)` Establece el mapa de id-nuevo xml para el dataIslands con el cual se realiza la sustitución.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDataIslandsInHTMLReplacer

    public XMLDataIslandsInHTMLReplacer()

  Constructor vacío

### XMLDataIslandsInHTMLReplacer

    public XMLDataIslandsInHTMLReplacer(int maxDirectiveChars)

  Constructor estableciendo el número máximo de caracteres de la directiva, por defecto son 255 caracteres.

Parameters:
  `maxDirectiveChars` - número máximo de caracteres de la directiva.

### XMLDataIslandsInHTMLReplacer

    public XMLDataIslandsInHTMLReplacer(java.util.Map idsAndNewXML)

  Constructor en base a un mapa que contiene los ids de los dataIslands
  cuyo XML hay que sustituir así como el nuevo XML correspondiente a cada
  dataIsland.

Parameters:
  `idsAndNewXML` - mapa indexado por los ids que contiene los nuevos XML para cada dataIsland.

### XMLDataIslandsInHTMLReplacer

    public XMLDataIslandsInHTMLReplacer(java.util.Map idsAndNewXML,
                                        int maxDirectiveChars)

  Constructor en base a un mapa que contiene los ids de los dataIslands
  cuyo XML hay que sustituir así como el nuevo XML correspondiente a cada
  dataIsland.

Parameters:
  `idsAndNewXML` - mapa indexado por los ids que contiene los nuevos XML para cada dataIsland.
  `maxDirectiveChars` - número máximo de caracteres de la directiva.

Method Detail

### setNewDataIslandsXMLs

    public void setNewDataIslandsXMLs(java.util.Map newDataIslandsXMLs)

  Establece el mapa de id-nuevo xml para el dataIslands con el cual se realiza la sustitución.

  Parameters:
    `newDataIslandsXMLs` -

### getReplacedDocument

    public java.lang.String getReplacedDocument()

  Obtiene documento con los dataIsland remplazados.

  Returns:
    el html con los dataIslands remplazados.

### replaceXMLDataIslandsInDocument

    public int replaceXMLDataIslandsInDocument(java.io.Reader r)
                                        throws java.io.IOException

  Remplaza los XML data islands en un documento por los nuevos valores establecidos en el constructor o en el metodo setNewDataIslandsXMLs.

  Parameters:
    `r` - Un reader al documento.
  Returns:
    el número de XML dataIslands sustituidos.
  Throws:
    `java.io.IOException` - si ocurre un error al leer el documento.

### replaceXMLDataIslandsInDocument

    public int replaceXMLDataIslandsInDocument(java.util.Map newXMLDataIslandsXMLs,
                                               java.io.Reader r)
                                        throws java.io.IOException

  Remplaza los XML data islands en un documento por los nuevos valores establecidos que se pasan como parametro.

  Parameters:
    `newXMLDataIslandsXMLs` - nuevos xmls para los dataIslands.
    `r` - reader al documento.
  Returns:
    el numero de XML dataIslands sustituidos.
  Throws:
    `java.io.IOException`

### replaceXMLDataIslandsInDocument

    public int replaceXMLDataIslandsInDocument(java.io.File f)
                                        throws java.io.IOException

  Remplaza los XML data islands en un documento por los nuevos valores establecidos en el constructor o en el metodo setNewDataIslandsXMLs.

  Parameters:
    `f` - Un fichero.
  Returns:
    el numero de dataIslands sustituidos.
  Throws:
    `java.io.IOException` - si ocurre un error al leer el documento.

### replaceXMLDataIslandsInDocument

    public int replaceXMLDataIslandsInDocument(java.util.Map newXMLDataIslandsXMLs,
                                               java.io.File f)
                                        throws java.io.IOException

  Remplaza los XML data islands en un documento por los nuevos valores establecidos que se pasan como parametro.

  Parameters:
    `newXMLDataIslandsXMLs` - nuevos xmls para los dataIslands.
    `f` - el fichero en el que hay que sustituir los dataIslands.
  Returns:
    el numero de dataIslands sustituidos.
  Throws:
    `java.io.IOException` - si ocurre un error al leer el fichero.

### replaceXMLDataIslandsInDocument

    public int replaceXMLDataIslandsInDocument(java.lang.String filePath)
                                        throws java.io.IOException

  Remplaza los XML data islands en un documento por los nuevos valores establecidos en el constructor o en el metodo setNewDataIslandsXMLs.

  Parameters:
    `filePath` - el path del fichero.
  Returns:
    el numero de dataIslands sustituidos.
  Throws:
    `java.io.IOException` - si ocurre un error al leer un documento.

### replaceXMLDataIslandsInDocument

    public int replaceXMLDataIslandsInDocument(java.util.Map newXMLDataIslandsXMLs,
                                               java.lang.String filePath)
                                        throws java.io.IOException

  Remplaza los XML data islands en un documento por los nuevos valores establecidos que se pasan como parametro.

  Parameters:
    `newXMLDataIslandsXMLs` - nuevos xmls para los dataIslands.
    `filePath` - el path del fichero.
  Returns:
    el numero de dataIslands sustituidos.
  Throws:
    `java.io.IOException` - si ocurre un error al leer un documento.

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD